Change the command history settings

Microsoft Windows graphic

To change the command history settings

  1. XOX
  2. Right-click the title bar, and do one of the following:
    • To change command history settings for all command prompt windows, click Defaults.
    • To change command history settings for the current command prompt window only, click Properties.
  3. On the Options tab, under Command History, specify a buffer size, and then specify the number of buffers to use.

Notes

  • XOX
  • Changing the buffer size changes the number of commands a buffer can store. Changing the number of buffers changes the number of processes that can have distinct history buffers. Increasing the number or size of buffers uses more memory.
  • To eliminate the listing of duplicate commands in command history, select the Discard Old Duplicates check box.

Related Topics


Change the size of the command prompt cursor

To change the size of the command prompt cursor

  1. XOX
  2. Right-click the title bar, and do one of the following:
    • To change this setting for all command prompt windows, click Defaults.
    • To change this setting for the current command prompt window only, click Properties.
  3. On the Options tab, under Cursor Size, specify a cursor size.

Note

  • XOX


Change command prompt display option settings

To change command prompt display option settings

  1. XOX
  2. Right-click the title bar, and do one of the following:
    • To change this setting for all command prompt windows, click Defaults.
    • To change this setting for the current command prompt window only, click Properties.
  3. On the Options tab, under Display Options, click Window or Full Screen.

Notes

  • XOX
  • To switch between window mode and full-screen mode on x86-based computers, press ALT+ENTER.


Change MS-DOS command prompt window fonts

To change MS-DOS command prompt window fonts

  1. XOX
  2. Right-click the title bar, and do one of the following:
    • To change this setting for all command prompt windows, click Defaults.
    • To change this setting for the current command prompt window only, click Properties.
  3. Click the Font tab.
  4. In Font, click a font.
    • If you click a TrueType font, the Size menu will present a list of point sizes to choose from, or you can enter a size by typing in the number in the Size box.
    • If you click Raster Fonts, the sizes listed in the Size window will be the command prompt window size choices.
  5. To use bold with TrueType fonts, select the Bold fonts check box.

Notes

  • XOX
  • Window Preview displays how the current window's size will change based on the font and font size you have selected.
  • Selected Font shows how characters will appear with the specified font settings. Bolding is not available with Raster Fonts.
  • You can resize the window up to the maximum size listed on the Layout tab. It is recommended that you select a size from one-fourth to no more than half the desktop size for reading and usability.


Change colors of command prompt elements

To change colors of command prompt elements

  1. XOX
  2. Right-click the title bar, and do one of the following:
    • To change this setting for all command prompt windows, click Defaults.
    • To change this setting for the current command prompt window only, click Properties.
  3. On the Colors tab, choose colors for screen text, screen background, pop-up text, or pop-up background by clicking the element you want to change, and then clicking the color you want.

Notes

  • XOX
  • Selected Screen Colors shows how the text and background colors you have selected will appear on the screen.
  • Selected Popup Colors shows how the text and background colors you have selected will appear in a pop-up window.


Change the command prompt screen layout

To change the command prompt screen layout

  1. XOX
  2. Right-click the title bar, and do one of the following:
    • To change this setting for all command prompt windows, click Defaults.
    • To change this setting for the current command prompt window only, click Properties.
  3. Click the Layout tab.
  4. Under Screen Buffer Size, specify settings for the width and height of the screen, based on the number of characters entered in the buffer.
  5. Under Window Size, specify settings for the width and height of the window.
  6. Under Window Position, specify settings for the initial left and top position of the window.

Notes

  • XOX
  • To have Windows position the window, select the Let system position window check box.
  • Scroll bars are displayed if the current size of the window is smaller than the screen buffer size settings.
  • You cannot resize a window to be larger than the area set by the screen buffer settings.
  • On x86-based computers, if you switch to full screen display, Windows will display the number of lines (25, 43, or 50) supported by your hardware that is closest to your window mode configuration.


Change command prompt window Edit Options settings

To change command prompt window Edit Options settings

  1. XOX
  2. Right-click the title bar, and do one of the following:
    • To change this setting for all command prompt windows, click Defaults.
    • To change this setting for the current command prompt window only, click Properties.
  3. On the Options tab, under Edit Options:
    • Select the QuickEdit Mode check box to use a mouse to cut and paste in the command prompt window.
    • Select the Insert Mode check box to insert text at the cursor (and push subsequent characters to the right), rather than overwrite characters to the right of the cursor.
    • Select the AutoComplete check box to use the TAB key to cycle through the available items in the current directory.

Note

  • XOX


Compile Date

 Compile Date: 2001-06-12


Change OS/2 configuration information

To change the OS/2 configuration on a computer running Windows with a separate OS/2 partition

  1. While running Windows, start an OS/2 text editor. To start an OS/2 text editor, click Start, click Run, type the file path and the name of the OS/2 text editor in the window, and then click OK.
  2. Open the Config.sys file in the OS/2 text editor. The Config.sys file is located in the root directory of the hard drive.

    3. Windows retrieves the configuration information from the registry and stores it in a temporary file.

  3. Edit the configuration information as required to achieve the desired results.
  4. Save and close the file in the OS/2 text editor.
  5. Exit the text editor.

    6. Windows stores the new information in the registry.

  6. Log off from Windows and restart your computer.

Notes

  • To specify a path, type the drive letter followed by a colon (:) and a backslash (\), type the names of the folders and subfolders that contain the file, separating each name with a backslash, and then type the name of the file or folder you want to open.
  • Please refer to your OS/2 manual for more information on using the OS/2 operating system and text editor.


Change the icon of an MS-DOS shortcut

To change the icon of an MS-DOS shortcut

  1. Right-click the MS-DOS shortcut, and then click Properties.
  2. Click the Program (or Shortcut) tab.
  3. Click Change Icon.
  4. In the Change Icon dialog box, double-click the icon for the shortcut, or click Browse to select a different icon.


Create or change a PIF

To create or change a program information file (PIF)

Prior to creating or making changes to the PIF, please review the MS-DOS-based program documentation. Changing the PIF affects how the program interacts with Windows. The program might only work correctly with specific default settings.

  1. Open My Computer.
  2. Do one of the following:
    • If you want to create a program information file (PIF) for a program, locate the program and right-click it. Then click Properties and change the default settings to match the program requirements.
    • If you want to change the settings of an existing PIF file, locate the shortcut to the program file and right-click it. Click Properties and make the appropriate changes.

Notes

  • XOX
  • Creating a program information file (PIF) for an MS-DOS-based program creates a shortcut to the program executable. All the settings saved in the PIF file are contained in the shortcut.
  • To specify whether an MS-DOS-based program starts in a full screen or in a window, change the Run properties on the Program (or Shortcut) tab.
  • To view MS-DOS-based program output on the screen faster, after clicking Properties in step 2, on the Screen tab, select Fast ROM emulation under Performance. Please review the documentation that came with your video card to ensure it supports Fast ROM emulation.
  • To increase the performance of the MS-DOS-based program, you can allocate more memory. To make this change, after clicking Properties in step 2, on the Memory tab, set Expanded (EMS) memory or Extended (XMS) memory to Auto, and no limit will be imposed. If you experience program errors, set the value in the Total window to 8192. XOX
  • The Properties dialog box has replaced the PIF Editor used in earlier versions of Windows.


Copy text from a command prompt window

To copy text from a command prompt window

  1. XOX
  2. Right-click the title bar of the command prompt window, point to Edit, and then click Mark.
  3. Click the beginning of the text you want to copy.
  4. Press and hold down the SHIFT key, and then click the end of the text you want to copy (or you can click and drag the cursor to select the text).
  5. Right-click the title bar, point to Edit, and then click Copy.
  6. Position the cursor where you want the text to be inserted:
    • In an MS-DOS-based program, or in a command prompt window, right-click the title bar, point to Edit, and then click Paste.
    • In a Windows-based program, click the Edit menu, and then click Paste.

Notes

  • XOX
  • You cannot paste text into a command prompt window or MS-DOS-based program when it is running in a full screen. XOX


Create custom startup files for an MS-DOS-based program

To create custom startup files for an MS-DOS-based program that may require a special configuration

  1. Using a text editor, such as Notepad, edit the Config.nt and Autoexec.nt files (located in systemroot\System32).
  2. Save each file with a new name.
  3. Right-click the MS-DOS-based program shortcut, and then click Properties.
  4. Click the Program tab, and then click Advanced.
  5. Under Custom MS-DOS initialization files, type the new names for your custom startup files.

Notes

  • This procedure might be required because some MS-DOS programs use special memory and video instructions, or require that other programs be installed prior to their being started. Please refer to the documentation that came with the program before creating startup files.
  • Use the documentation that came with the MS-DOS-based program to create a shortcut. XOX
  • This option might not be available on some MS-DOS-based programs.
  • To use custom startup files when starting an MS-DOS-based program, you must start the program from its shortcut.
  • Creating a program information file (PIF) for an MS-DOS-based program creates a shortcut to the program executable. All the settings saved in the PIF file are contained in the shortcut.


Display Help for an MS-DOS command

To display Help for an MS-DOS command

  1. XOX
  2. At the command prompt, type the name of the command you want help on, followed by /?.

    3. For example, type chdir /? to get Help on the chdir command.

Notes

  • XOX
  • To display Help one screen at a time, type the command followed by | more. For example, type dir /? | more for Help on the dir command.


Set compatible timer hardware emulation

To set compatible timer hardware emulation

  1. Open My Computer.
  2. Locate the MS-DOS-based program (.exe file), the program information file (.pif), or shortcut you want to change.
  3. Right-click the program file name or shortcut icon, click to Properties, click the Program tab, and then click Advanced.
  4. In the Windows PIF Settings dialog box, select the Compatible timer hardware emulation check box.

Notes

  • XOX
  • Compatible timer hardware emulation enables MS-DOS-based programs to reduce the rate at which the computer's timer sends timing signals. The faster the processor speed of your computer (200 megahertz (MHz), 300 MHz, and so on), the faster the signals travel between the hardware and the software enabling most Windows-based programs to work more efficiently.
  • Most MS-DOS-based programs were not originally designed with fast processor speeds in mind. If an MS-DOS-based program sets the rate too high during installation, it might not run. Select this check box only after reviewing the accompanying program documentation. Otherwise, this might degrade the program's performance or affect the program's ability to calculate time.
  • A shortcut is also known as a program information file, or PIF.
  • This option might not be available in some MS-DOS programs.


Hide the mouse pointer in an MS-DOS program

To hide the mouse pointer in an MS-DOS program that does not require a mouse

  • Consult the documentation included with the MS-DOS-based program to see if it has drag-and-drop capabilities or other uses for the mouse pointer. If it does not, right-click the title bar of the MS-DOS window to display the menu, and then click Hide Mouse Pointer.

Notes

  • If the program switches between character-based and graphics modes, you might need to hide the mouse pointer again.
  • Once the mouse pointer is hidden, it cannot be seen inside or outside the program's window. To display the mouse pointer, press ALT+SPACEBAR in the command prompt window, and then on the command menu, click Display Mouse Pointer.
  • This option might not be available in some MS-DOS programs.


Allocate system resources for an MS-DOS-based program

To allocate system resources for an MS-DOS-based program and change its idle time

  1. Open My Computer.
  2. Locate the MS-DOS-based program (.exe) file, the program information file (PIF), or shortcut you want to change. Please refer to the documentation that came with the program for the actual file name.
  3. Right-click the icon, and then click Properties.
  4. In Properties, click the Misc tab.
  5. Adjust the Idle sensitivity slider as follows:
    • To give a background program more resources, move the slider toward Low.
    • To give a background program fewer resources, move the slider toward High.

Notes

  • XOX
  • You can specify how long an MS-DOS-based program will remain idle before reducing its computer resource allocation so that other programs can use the resources.
  • This option might not be available in some MS-DOS-based programs.
  • Creating a program information file (PIF) for an MS-DOS-based program creates a shortcut to the program executable. All the settings saved in the PIF file are contained in the shortcut.


MS-DOS overview

MS-DOS, the acronym for Microsoft Disk Operating System, is an operating system with a command-line interface used on personal computers. As with other operating systems such as OS/2, it translates keyboard input by the user into operations the computer can perform, it also oversees operations such as disk input and output, video support, keyboard control, and many internal functions related to program execution and file maintenance.

You type MS-DOS commands using a command prompt window. To end your MS-DOS session, type exit in the command prompt window at the blinking cursor.

The MS-DOS mode is a shell in which the MS-DOS environment is emulated in 32-bit systems, such as Windows. MS-DOS-based programs can run with Windows and might create a program information file (PIF) which appears as a shortcut on your desktop.

XOX

Notes

  • XOX
  • Creating a program information file (PIF) for an MS-DOS-based program creates a shortcut to the program executable. All the settings saved in the PIF file are contained in the shortcut.


Run a memory-resident program in a window

To run a memory-resident program in a window

  1. Start the memory-resident program, also known as a terminate-and-stay-resident (TSR) program, by referring to the documentation that came with the program.
  2. The program might begin in a command prompt-style window, or a user interface as described in its documentation.
  3. Press ALT+ENTER to view the program in a window or its default user interface.

Notes

  • The TSR program determines the key combination needed to run the program in a window. Some MS-DOS-based programs cannot run in a window.
  • Examples of TSR programs are MS-DOS-based calendars, calculators, spell checkers, and thesauruses.
  • MS-DOS-based programs use the key combination ALT+ENTER to switch between a full screen and a window.
  • Windows allows you to easily switch between memory-resident programs and standard Windows programs.
  • If your memory-resident program requires a key combination that is reserved for Windows, click Related Topics.


Copy and paste MS-DOS text using the mouse

To copy and paste MS-DOS text using the mouse

  1. XOX
  2. Right-click the title bar of the command prompt window, and then click Properties.
  3. On the Options tab, under Edit Options, select the QuickEdit Mode check box if it isn't already selected, and then click OK.
  4. In the Apply Properties To Shortcut dialog box, click either of the following
    5. :
    • Apply properties to current window only to use QuickEdit mode in the current window.
    • Modify shortcut that started this window to apply QuickEdit mode every time you start the MS-DOS-based program.
    Click OK.
  5. Click and drag the mouse pointer over the text you want to copy in the command prompt window.
  6. Position the cursor where you want the text to be inserted, and then do either of the following:
    • In an MS-DOS-based program, right-click the title bar, click Edit, and then click Paste.
    • In a Windows-based program, click the Edit menu, and then click Paste.

Notes

  • XOX
  • QuickEdit mode is not available in all MS-DOS-based programs.
  • You cannot paste text into a command prompt window or MS-DOS-based program when it is running in a full screen.


Reserve shortcut keys for MS-DOS-based programs

To reserve shortcut keys for MS-DOS-based programs

  1. Open My Computer.
  2. Locate the MS-DOS-based program (.exe) file, the program information file (.pif), or shortcut you want to change. Right-click the file, and then click Properties.
  3. In the Properties dialog box, click the Misc tab.
  4. Under Windows Shortcut Keys, clear the check box next to the shortcut keys combination the MS-DOS program uses. When you clear the check box, Windows will ignore the shortcut key when the MS-DOS-based program is in use.

    5. You can reserve only the following shortcut keys for an MS-DOS-based program:

    • ALT+TAB
    • ALT+ESC
    • CTRL+ESC
    • PRINT SCREEN
    • ALT+PRINT SCREEN
    • ALT+ENTER
    • ALT+SPACEBAR

Notes

  • XOX
  • This option might not be available in some MS-DOS-based programs.
  • Some MS-DOS-based programs require the use of keystroke combinations (pressing the keys at the same time) for specific functions.
  • You might need to reserve shortcut keys for MS-DOS-based programs if the program uses the same shortcut keys as Windows. For example, if your MS-DOS-based program uses ALT+TAB to perform a command, Windows might intercept that command and switch between programs instead. (In Windows, you press ALT+TAB to switch between programs.)


Run a memory-resident program with another program

To run a memory-resident program with another program

  1. Start the memory-resident program, also known as a terminate-and-stay-resident (TSR) program, by referring to its program documentation.
  2. Start another program in the same window by typing its name at the command prompt and then pressing ENTER.

Notes

  • You can also start a TSR program with another program by creating a batch file that starts both programs, and then creating a shortcut to the batch file.
  • Examples of TSR programs are calendars, calculators, spell checkers, and thesauruses.
  • If you want to keep a TSR program active while you are using Windows, you can start and keep the program running in a window. You can then switch back to the window whenever you want, just as with any other program.


Specify custom startup files for MS-DOS-based programs

To specify custom startup files for MS-DOS-based programs

Please consult the documentation that came with the MS-DOS-based program before performing this procedure.

  1. Open My Computer.
  2. Locate the MS-DOS-based program (.exe) file, the program information file (.pif), or the shortcut you want to change.
  3. Right-click the program (.exe) file, program information file, or shortcut, and then click Properties.
  4. Click the Program tab.
  5. In Cmd line, type the name of the program.
  6. Click Advanced.
  7. Type the names of the custom startup files you created.

Notes

  • XOX
  • This option is only available in some MS-DOS programs.
  • Creating a program information file (PIF) for an MS-DOS-based program creates a shortcut to the program executable. All the settings saved in the PIF file are contained in the shortcut. Windows displays PIF files as shortcuts.


Specify shortcut keys

To specify shortcut keys for specific programs

Before beginning this procedure, please refer to the documentation that came with the program to verify a shortcut was installed.

  1. Open My Computer.
  2. Locate the program file (.exe) or the program's shortcut icon. Right-click the program file or shortcut, and then click Properties.
  3. Click the Program tab for an MS-DOS program or the Shortcut tab for a Windows program.
  4. With the cursor in the Shortcut key box, select the keyboard key you want to use in combination with CTRL+ALT. Shortcut keys automatically start with CTRL+ALT. The Shortcut key box will display None until you select the key and then the box will display Ctrl+Alt+the key you selected. You cannot use the ESC, ENTER, TAB, SPACEBAR, PRINT SCREEN, SHIFT, or BACKSPACE keys.

Notes

  • XOX
  • Once you assign a shortcut key combination for a specific program, you will not be able to use that key combination with other programs. For a list of shortcut keys used by this version of Windows, click Related Topics.
  • If you forget the key combination for your shortcut, you can follow steps 2 through 3 and review your shortcut keys.
  • Using shortcut keys to open programs can often be simpler than opening programs using a pointing device, especially when working on portable computers.


Open an MS-DOS program from a command prompt window

To open an MS-DOS program from a command prompt window

  1. XOX
  2. Type the name of the installed MS-DOS-based program you want to open, and then press ENTER. Or, change to the directory where the program is located and type its name there.

Notes

  • XOX
  • To switch between a full screen and a window, press ALT+ENTER.
  • To quit a command prompt session, type exit at the blinking cursor in the command prompt window.


Set up two shortcuts for an MS-DOS program

To set up two shortcuts for an MS-DOS program

  1. Open My Computer.
  2. Locate the MS-DOS-based program (.exe) file, the program information file (.pif), or the shortcut you want to change.
  3. Right-click the file and click Create Shortcut. Create two shortcuts to the MS-DOS program, and give each a distinct name. If a shortcut already exists, save the new one with a different name.
  4. For each shortcut you create, please refer to the documentation that came with the MS-DOS-based program for the appropriate settings to enter in the Properties dialog box.

Notes

  • XOX
  • Creating separate program information files (PIFs) for shortcuts to MS-DOS programs allows you to save different settings and formatting, which will automatically be used when you start the program from the shortcut.


Using PIF files

A program information file (PIF) is created when you create a shortcut to, or modify the properties of, an MS-DOS-based program. PIFs allow you to set default properties for MS-DOS programs, such as font size, screen colors, and memory allocation.

When you change any settings in an MS-DOS-based program, a PIF is automatically created. The settings you specify will be used each time you start the program by double-clicking its icon. If you start the program from a command prompt window, these settings won't be used.

Creating a program information file (PIF) for an MS-DOS-based program creates a shortcut to the program executable. All the settings saved in the PIF file are contained in the shortcut. Windows displays PIF files as shortcuts.